Module javafx.graphics
Package javafx.scene.shape

## Interface ObservableFaceArray

- All Superinterfaces:
    `Observable`, `ObservableArray<ObservableIntegerArray>`, `ObservableIntegerArray`

      public interface ObservableFaceArray
      extends ObservableIntegerArray

  `ObservableFaceArray` is an `int[]` array that allows listeners to track changes when they occur. In order to track changes, the internal array is encapsulated and there is no direct access available from the outside. Bulk operations are supported but they always do a copy of the data range. This class is used when defining the faces of a `TriangleMesh`.
  Since:
    JavaFX 8.0
  See Also:
    `ArrayChangeListener`

- - ### Method Summary

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.collections.ObservableArray

      `addListener, clear, ensureCapacity, removeListener, resize, size, trimToSize`

    - ### Methods inherited from interface javafx.collections.ObservableIntegerArray

      `addAll, addAll, addAll, addAll, copyTo, copyTo, get, set, set, set, setAll, setAll, setAll, setAll, toArray, toArray`